/**
 * Handles the biblio type edit form
 * If a field is not visible, but a bibliographic meaning is assigned to it, it will become visible
 *
 * A less agressive method wouldbe to just mark the checkbox with a color, but hey, we're evil
 */
Drupal.behaviors.biblio_type = function() {
	$('select[name^="field"]').change(function() {
		var checkbox = $(this).parent().parent().prev().children().children(); // @todo use filter for checkbox instead
		if (!checkbox.attr('checked') && this.value != 0) {
			checkbox.attr('checked', true);
			checkbox.parent().parent().animate({'backgroundColor': 'red'}, 1000);
		}

	});
}